 %define name mono-tools
%define version 2.2
%define release %mkrel 1
%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
%define monover 2.2
%define pkgconfigdir %_datadir/pkgconfig
Summary: Mono tools, including the documentation browser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://go-mono.com/sources/mono-tools/%{name}-%{version}.tar.bz2
License: GPLv2 and LGPLv2
Group: Development/Other
Url: http://www.go-mono.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#gw it needs System.Xml.Linq:
BuildRequires: mono-devel >= %monover
BuildRequires: gnome-sharp2-devel
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: glade-sharp2
BuildRequires: webkit-sharp-devel
Requires(post): monodoc-core >= %monover
Requires: monodoc-core >= %monover
BuildArch: noarch

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --mandir=%_mandir
#gw parallel make fails in 2.2
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang %name

touch %buildroot%monodocdir/monodoc.index

%post
%if %mdkversion < 200900
%update_menus
%endif
touch %monodocdir/monodoc.index
%_bindir/monodoc --make-index > /dev/null

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/monodoc
%_bindir/mperfmon
%_bindir/gasnview
%_bindir/gendarme
%_bindir/gendarme-wizard
%_bindir/gnunit
%_bindir/gnunit2
%_bindir/gsharp
%_bindir/gui-compare
%_bindir/create-native-map
%_bindir/ilcontrast
%_bindir/mprof*
%_prefix/lib/create-native-map
%_prefix/lib/ilcontrast/
%dir %_prefix/lib/%name
%_prefix/lib/%name/mprof*
%_mandir/man1/*
%_prefix/lib/gendarme
%_prefix/lib/gsharp
%_prefix/lib/gui-compare
%_prefix/lib/mperfmon
%monodir/1.0/*
%monodir/2.0/*
%monodocdir/browser.exe
%monodocdir/GtkHtmlHtmlRender.dll
%monodocdir/MonoWebBrowserHtmlRender.dll
%monodocdir/WebKitHtmlRender.dll
%monodocdir/sources/Gendarme*
%pkgconfigdir/*.pc
%_datadir/applications/gendarme-wizard.desktop
%_datadir/applications/gsharp.desktop
%_datadir/applications/monodoc.desktop
%_datadir/applications/mprof-heap-viewer.desktop
%_datadir/applications/ilcontrast.desktop
%_datadir/pixmaps/*
%ghost %monodocdir/monodoc.index




%changelog
* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2009.1
+ Revision: 329871
- new version
- update deps
- disable xulrunner support
- remove old icons
- update file list

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 292195
- new version
- update deps
- update license
- update file list

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 1.9-4mdv2009.0
+ Revision: 289227
- drop patch
- depend on xulrunner instead of firefox

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 1.9-3mdv2009.0
+ Revision: 273803
- rebuild

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9-2mdv2009.0
+ Revision: 265174
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 194006
- new version
- drop patches
- bump deps
- update file list

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 158047
- fix build with new gnome-sharp
- update buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119276
- new version
- update patch 0

* Sun Sep 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-3mdv2008.0
+ Revision: 83453
- update patch 0 to fix ilcontrast startup (bug#33353)

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-2mdv2008.0
+ Revision: 78490
- fix icons in desktop files

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 27359
- new version
- add ilcontrast


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.0
+ Revision: 117017
- new version
- update the patch

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86338
- new version
- update file list
- Import mono-tools

* Wed Oct 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.1
- gtk-sharp2
- rediff the patch
- new version

* Sat Jul 08 2006 Gtz Waschk <waschk@mandriva.org> 1.1.11-2mdv2007.0
- xdg menu

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- New release 1.1.11
- use mkrel

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10-2mdk
- patch for mozilla detection

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- update file list
- New release 1.1.10

* Fri Sep 16 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-3mdk
- add post requirement on monodoc as well

* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-2mdk
- fix deps

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- fix buildrequires
- update file list
- New release 1.1.9

* Tue Jun 21 2005 Götz Waschk <waschk@mandriva.org> 1.0-3mdk
- create monodoc index in the post script

* Mon Jun 20 2005 Götz Waschk <waschk@mandriva.org> 1.0-2mdk
- fix buildrequires

* Sat Jun 18 2005 Götz Waschk <waschk@mandriva.org> 1.0-1mdk
- initial package

